<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('call_logs', function (Blueprint $table) {
            $table->id();
            $table->string('customer_number');
            $table->string('uuid');
            $table->string('agent_number');
            $table->string('call_duration');
            $table->string('business_call_type');
            //$table->string('id')->nullable(); 
            $table->string('destination');
            $table->string('Call_Type');
            $table->string('call_recording');
            $table->string('knowlarity_number');
            $table->string('order_id');
            $table->string('start_time');
            $table->string('credits_deducted');
            $table->string('extension');
            $table->string('caller_name');
            $table->string('timezone_offset');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('call_logs');
    }
};
